Subject: Re: [68ATTENDEES] Any recommendations from Americans in Prague already?

From: "Beaulieu, Marcia" <[email-masked]>
Date: Wed, 14 Mar 2007 15:07:05 -0400

Hi John,

I haven't tried the internet yet but getting through customs was no problem at all.  I was not asked to show any proof of insurance or asked why I was here.  I just showed my passport, they scanned it, stamped it and gave it back to me.  That was it.

I made a reservation with the hotel's taxi service to pick me up and they were waiting at the airport with my name on the sign and everything went off without a hitch.

Marcia
Sr. Meeting Planner
NeuStar Secretariat Services

--------------------------
Sent from my BlackBerry Wireless Handheld

----- Original Message -----
From: Haluska, John J <[email-masked]>
To: [email-masked] <[email-masked]>
Sent: Wed Mar 14 14:51:07 2007
Subject: [68ATTENDEES] Any recommendations from Americans in Prague already?

Hi All

I was wondering if any Americans had made it to Prague yet for this meeting, and if so, if there is any advice you have to share. E.g.

What did you show as proof of insurance, and how much of an issue was this?

Is it any problem to indicate you are here on business? Does saying “IETF meeting” help or hinder?

Any unexpected visa concerns for business travel?

Any other customs/immigration issues?

Presence/quality of broadband in the hotel (Hilton)?

Any other general guidance or recommendations is appreciated

Thanks much

_______________________________________________
68ATTENDEES mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/68attendees